net.sf.jasperreports.export

## Class SimpleReportExportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ReportExportConfiguration
  Direct Known Subclasses:
    AbstractXlsReportConfiguration, SimpleCsvReportConfiguration, SimpleDocxReportConfiguration, SimpleGraphics2DReportConfiguration, SimpleHtmlReportConfiguration, SimpleJsonReportConfiguration, SimpleOdtReportConfiguration, SimplePdfReportConfiguration, SimplePptxReportConfiguration, SimpleRtfReportConfiguration, SimpleTextReportConfiguration

      public class SimpleReportExportConfiguration
      extends SimpleCommonExportConfiguration
      implements ReportExportConfiguration

  Version:
    $Id: SimpleExporterConfiguration.java 6718 2013-11-11 09:32:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleReportExportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getEndPageIndex()` Returns an integer value representing the end index of the page range to be exported.
    `ExporterFilter` | `getExporterFilter()` Returns an instance of the `ExporterFilter` interface to be used by the exporter to filter the elements to be exported.
    `JRHyperlinkProducerFactory` | `getHyperlinkProducerFactory()` Returns a `JRHyperlinkProducerFactory` which should be used for custom hyperlink types during export.
    `java.lang.Integer` | `getOffsetX()` A setting that allows users to move the entire content of each page horizontally.
    `java.lang.Integer` | `getOffsetY()` A setting that allows users to move the entire content of each page vertically.
    `java.lang.Integer` | `getPageIndex()` Returns an integer value representing the index of the page to be exported.
    `JRExportProgressMonitor` | `getProgressMonitor()` Return a `JRExportProgressMonitor` instance for monitoring export status.
    `java.lang.Integer` | `getStartPageIndex()` Returns an integer value representing the start index of the page range to be exported.
    `void` | `setEndPageIndex(java.lang.Integer endPageIndex)`
    `void` | `setExporterFilter(ExporterFilter filter)`
    `void` | `setHyperlinkProducerFactory(JRHyperlinkProducerFactory hyperlinkProducerFactory)`
    `void` | `setOffsetX(java.lang.Integer offsetX)`
    `void` | `setOffsetY(java.lang.Integer offsetY)`
    `void` | `setPageIndex(java.lang.Integer pageIndex)`
    `void` | `setProgressMonitor(JRExportProgressMonitor progressMonitor)`
    `void` | `setStartPageIndex(java.lang.Integer startPageIndex)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleReportExportConfiguration

          public SimpleReportExportConfiguration()

  - ### Method Detail

    - #### getStartPageIndex

          public java.lang.Integer getStartPageIndex()

      Description copied from interface: `ReportExportConfiguration`
      Returns an integer value representing the start index of the page range to be exported. This is useful when only a range of pages is needed for export.
      Specified by:
        `getStartPageIndex` in interface `ReportExportConfiguration`

    - #### setStartPageIndex

          public void setStartPageIndex(java.lang.Integer startPageIndex)

    - #### getEndPageIndex

          public java.lang.Integer getEndPageIndex()

      Description copied from interface: `ReportExportConfiguration`
      Returns an integer value representing the end index of the page range to be exported. This is useful when only a range of pages is needed for export.
      Specified by:
        `getEndPageIndex` in interface `ReportExportConfiguration`

    - #### setEndPageIndex

          public void setEndPageIndex(java.lang.Integer endPageIndex)

    - #### getPageIndex

          public java.lang.Integer getPageIndex()

      Description copied from interface: `ReportExportConfiguration`
      Returns an integer value representing the index of the page to be exported. This is useful when only one page of the entire report is needed for export.
      Specified by:
        `getPageIndex` in interface `ReportExportConfiguration`

    - #### setPageIndex

          public void setPageIndex(java.lang.Integer pageIndex)

    - #### getProgressMonitor

          public JRExportProgressMonitor getProgressMonitor()

      Description copied from interface: `ReportExportConfiguration`
      Return a `JRExportProgressMonitor` instance for monitoring export status. This is useful for users who need to be notified after each page is exported (a GUI tool that shows a progress bar might need this feature).
      Specified by:
        `getProgressMonitor` in interface `ReportExportConfiguration`

    - #### setProgressMonitor

          public void setProgressMonitor(JRExportProgressMonitor progressMonitor)

    - #### getExporterFilter

          public ExporterFilter getExporterFilter()

      Description copied from interface: `ReportExportConfiguration`
      Returns an instance of the `ExporterFilter` interface to be used by the exporter to filter the elements to be exported.
      Specified by:
        `getExporterFilter` in interface `ReportExportConfiguration`

    - #### setExporterFilter

          public void setExporterFilter(ExporterFilter filter)

    - #### getOffsetX

          public java.lang.Integer getOffsetX()

      Description copied from interface: `ReportExportConfiguration`
      A setting that allows users to move the entire content of each page horizontally. It is mostly useful for printing, when the report data does not fit inside the page margins.
      Specified by:
        `getOffsetX` in interface `ReportExportConfiguration`

    - #### setOffsetX

          public void setOffsetX(java.lang.Integer offsetX)

    - #### getOffsetY

          public java.lang.Integer getOffsetY()

      Description copied from interface: `ReportExportConfiguration`
      A setting that allows users to move the entire content of each page vertically. It is mostly useful for printing, when the report data does not fit inside the page margins.
      Specified by:
        `getOffsetY` in interface `ReportExportConfiguration`

    - #### setOffsetY

          public void setOffsetY(java.lang.Integer offsetY)

    - #### getHyperlinkProducerFactory

          public JRHyperlinkProducerFactory getHyperlinkProducerFactory()

      Description copied from interface: `ReportExportConfiguration`
      Returns a `JRHyperlinkProducerFactory` which should be used for custom hyperlink types during export.
      Specified by:
        `getHyperlinkProducerFactory` in interface `ReportExportConfiguration`

    - #### setHyperlinkProducerFactory

          public void setHyperlinkProducerFactory(JRHyperlinkProducerFactory hyperlinkProducerFactory)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com